package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.statement.SQLSelect;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlShowPlanCacheStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private SQLSelect select;

   public MySqlShowPlanCacheStatement() {
   }

   public MySqlShowPlanCacheStatement(SQLSelect select) {
      this.setSelect(select);
   }

   public void accept0(MySqlASTVisitor v) {
      if (v.visit(this) && this.select != null) {
         this.select.accept(v);
      }

      v.endVisit(this);
   }

   public SQLSelect getSelect() {
      return this.select;
   }

   public void setSelect(SQLSelect x) {
      if (x != null) {
         x.setParent(this);
      }

      this.select = x;
   }
}
